Verdocs - Developer Documentation
ReferenceRest APIAPI DocumentationEnvelopes

Create Envelope

POST
/v2/envelopes

Request Body

application/json

Body Parameters

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.verdocs.com/v2/envelopes" \  -H "Content-Type: application/json" \  -d '{    "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",    "recipients": [      {        "first_name": "string",        "role_name": "string",        "type": "string"      }    ]  }'
{
  "canceled_at": "string",
  "created_at": "string",
  "data": "string",
  "documents": "string",
  "expires_at": "string",
  "followup_reminders": "string",
  "id": "string",
  "initial_reminder": "string",
  "max_reminder_days": 0,
  "name": "string",
  "next_reminder": "string",
  "no_contact": true,
  "organization_id": "string",
  "profile_id": "string",
  "sender_email": "string",
  "sender_name": "string",
  "signed": true,
  "status": "string",
  "template_id": "string",
  "updated_at": "string",
  "visibility": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}